LOCAL_PATH := $(call my-dir)

SP_INCLUDE_TOP := ../../../include
SP_BASE_TOP := ../../../spBase
SP_AUDIO_TOP := ../../../spAudio

include $(CLEAR_VARS)

LOCAL_MODULE    := libspmpegel

ifeq ($(TARGET_ARCH_ABI),arm64-v8a)
LOCAL_CFLAGS += -ffast-math
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := false
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := true
LOCAL_CFLAGS += -ffast-math
endif

LOCAL_SRC_FILES := \
		../../mpegEncode.c

LOCAL_C_INCLUDES := $(LOCAL_PATH)/../.. $(LOCAL_PATH)/$(SP_INCLUDE_TOP) $(LOCAL_PATH)/$(SP_BASE_TOP) $(LOCAL_PATH)/$(SP_AUDIO_TOP)
LOCAL_CFLAGS += -DANDROID -DUSE_LAME -DHAVE_PTHREAD -I$(SYSROOT)/usr/include/lame $(LOCAL_C_INCLUDES:%=-I%)

include $(BUILD_STATIC_LIBRARY)
